diff -rc --new-file xeyes-1.3.0/config.h.in xeyes-1.3.0.4/config.h.in
*** xeyes-1.3.0/config.h.in	2023-07-13 19:17:46.000000000 -0400
--- xeyes-1.3.0.4/config.h.in	2025-03-08 18:28:52.372978312 -0500
***************
*** 3,14 ****
  /* Define to 1 if you have the <inttypes.h> header file. */
  #undef HAVE_INTTYPES_H
  
  /* Define to 1 if you have the <stdint.h> header file. */
  #undef HAVE_STDINT_H
  
- /* Define to 1 if you have the <stdio.h> header file. */
- #undef HAVE_STDIO_H
- 
  /* Define to 1 if you have the <stdlib.h> header file. */
  #undef HAVE_STDLIB_H
  
--- 3,14 ----
  /* Define to 1 if you have the <inttypes.h> header file. */
  #undef HAVE_INTTYPES_H
  
+ /* Define to 1 if you have the <memory.h> header file. */
+ #undef HAVE_MEMORY_H
+ 
  /* Define to 1 if you have the <stdint.h> header file. */
  #undef HAVE_STDINT_H
  
  /* Define to 1 if you have the <stdlib.h> header file. */
  #undef HAVE_STDLIB_H
  
***************
*** 60,72 ****
  /* Define to use X Present Extension */
  #undef PRESENT
  
! /* Define to 1 if all of the C90 standard headers exist (not just the ones
!    required in a freestanding environment). This macro is provided for
!    backward compatibility; new code need not use it. */
  #undef STDC_HEADERS
  
  /* Version number of package */
  #undef VERSION
  
  /* Define to use X Render Extension */
  #undef XRENDER
--- 60,73 ----
  /* Define to use X Present Extension */
  #undef PRESENT
  
! /* Define to 1 if you have the ANSI C header files. */
  #undef STDC_HEADERS
  
  /* Version number of package */
  #undef VERSION
  
+ /* Define to use X Input2 */
+ #undef XI2
+ 
  /* Define to use X Render Extension */
  #undef XRENDER
diff -rc --new-file xeyes-1.3.0/configure.ac xeyes-1.3.0.4/configure.ac
*** xeyes-1.3.0/configure.ac	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/configure.ac	2025-03-08 18:26:15.681588213 -0500
***************
*** 37,46 ****
  XORG_MACROS_VERSION(1.8)
  XORG_DEFAULT_OPTIONS
  
  # Checks for pkg-config packages
! PKG_CHECK_MODULES(XEYES, [xi >= 1.7 x11 xt xext xmu xproto >= 7.0.17])
  
  dnl Optional dependencies
  AC_ARG_WITH(xrender, AS_HELP_STRING([--with-xrender],[Use Xrender for rendering (Default is YES)]),use_xrender="$withval",use_xrender="try")
  if test x$use_xrender != xno ; then
  	PKG_CHECK_MODULES(XRENDER, [xrender >= 0.4])
--- 37,53 ----
  XORG_MACROS_VERSION(1.8)
  XORG_DEFAULT_OPTIONS
  
+ 
  # Checks for pkg-config packages
! PKG_CHECK_MODULES(XEYES, [x11 xt xext xmu])
  
  dnl Optional dependencies
+ AC_ARG_WITH(xi2, AS_HELP_STRING([--with-xi2],[Use Xi2 for Input2 (Default is YES)]),use_xi2="$withval",use_xi2="try")
+ if test x$use_xi2 != xno ; then
+ 	PKG_CHECK_MODULES(XI2, [xi >= 1.7 xproto >= 7.0.17])
+ 	AC_DEFINE([XI2],1,[Define to use X Input2])
+ fi
+ 
  AC_ARG_WITH(xrender, AS_HELP_STRING([--with-xrender],[Use Xrender for rendering (Default is YES)]),use_xrender="$withval",use_xrender="try")
  if test x$use_xrender != xno ; then
  	PKG_CHECK_MODULES(XRENDER, [xrender >= 0.4])
diff -rc --new-file xeyes-1.3.0/descrip.mms xeyes-1.3.0.4/descrip.mms
*** xeyes-1.3.0/descrip.mms	1969-12-31 19:00:00.000000000 -0500
--- xeyes-1.3.0.4/descrip.mms	2025-03-05 15:05:52.165275005 -0500
***************
*** 0 ****
--- 1,64 ----
+ C=.c
+ O=.obj
+ E=.exe
+ V=xeyes-1.3.0
+ 
+ # -DXI2 -DXRENDER -DPRESENT
+ # -lXi -lXrender
+ 
+ CC_DEFS =/define=("_X_NORETURN=","PACKAGE_STRING=""$(V)""")/name=(as_is,short)/float=ieee
+ 
+ CXX_DEFS = "-D_X_NORETURN"= "-DPACKAGE_STRING"="""$(V)""" -names=as_is
+ 
+ CC_DEB =
+ 
+ OBJS=\
+ Eyes$(O) \
+ transform$(O) \
+ xeyes$(O)
+ 
+ CFLAGS=$(C_DEB) $(CC_DEFS)
+ 
+ CXXFLAGS=$(CXX_DEFS)
+ 
+ $(C)$(O) :
+ 	cc $(CFLAGS) $(MMS$TARGET_NAME)$(C)
+ 
+ #	cc $(CFLAGS) $(MMS$TARGET_NAME)$(C)
+ #	clang $(CXXFLAGS) -o $(MMS$TARGET_NAME)$(O) $(MMS$TARGET_NAME)$(C)
+ 
+ all : xeyes$(E)
+ 	@ directory xeyes$(E)
+ 
+ Eyes$(O) : Eyes$(C) EyesP.h Eyes.h
+ transform$(O) : transform$(C)
+ xeyes$(O) : xeyes$(C) Eyes.h
+ 
+ xeyes.opt :
+ 	close/nolog optf
+ 	open/write optf xeyes.opt
+ 	write optf "Eyes$(O)"
+ 	write optf "xeyes$(O)"
+ 	write optf "transform$(O)"
+ 	write optf "sys$share:decw$xlibshr/share"
+ 	write optf "sys$share:decw$xtlibshrr5/share"
+ 	write optf "sys$share:decw$xextlibshr/share"
+ #	write optf "sys$share:decw$xmulibshr/share"
+ 	write optf "sys$share:libxmu.exe/share"
+ #	write optf "sys$library:libxmu.olb/lib"
+ #	write optf "sys$library:libxmu_cxx.olb/lib"
+ 	close optf
+ 
+ xeyes$(E) : $(OBJS) xeyes.opt
+ 	link/map/exec=[] xeyes/opt
+ 
+ clobber :
+ 	close/nolog optf
+ 	purge
+ 	delete *.obj;*,*.opt;*,*.map;*,*.exe;*
+ 
+ clean :
+ 	close/nolog optf
+ 	purge
+ 	delete *.obj;*,*.opt;*,*.map;*
+ 
diff -rc --new-file xeyes-1.3.0/Eyes.c xeyes-1.3.0.4/Eyes.c
*** xeyes-1.3.0/Eyes.c	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/Eyes.c	2025-03-05 19:31:42.114571026 -0500
***************
*** 49,55 ****
--- 49,57 ----
  # include <X11/extensions/shape.h>
  # include <X11/Xlibint.h>
  # include <stdlib.h>
+ #ifdef XI2
  # include <X11/extensions/XInput2.h>
+ #endif
  # include <assert.h>
  
  #define offset(field) XtOffsetOf(EyesRec, eyes.field)
***************
*** 60,73 ****
  	goffset(width), XtRImmediate, (XtPointer) 150},
      {(char *) XtNheight, (char *) XtCHeight, XtRDimension, sizeof(Dimension),
  	goffset(height), XtRImmediate, (XtPointer) 100},
!     {(char *) XtNforeground, (char *) XtCForeground, XtRPixel, sizeof(Pixel),
          offset(pixel[PART_PUPIL]), XtRString, (char *) XtDefaultForeground},
      {(char *) XtNbackgroundPixmap, (char *) XtCPixmap, XtRPixmap, sizeof(Pixmap),
       XtOffsetOf(CoreRec,core.background_pixmap),
       XtRImmediate, (XtPointer)None},
!     {(char *) XtNoutline, (char *) XtCForeground, XtRPixel, sizeof(Pixel),
          offset(pixel[PART_OUTLINE]), XtRString, (char *) XtDefaultForeground},
!     {(char *) XtNcenterColor, (char *) XtCBackground, XtRPixel, sizeof (Pixel),
  	offset(pixel[PART_CENTER]), XtRString, (char *) XtDefaultBackground},
      {(char *) XtNreverseVideo, (char *) XtCReverseVideo, XtRBoolean, sizeof (Boolean),
  	offset (reverse_video), XtRImmediate, (XtPointer) FALSE},
--- 62,75 ----
  	goffset(width), XtRImmediate, (XtPointer) 150},
      {(char *) XtNheight, (char *) XtCHeight, XtRDimension, sizeof(Dimension),
  	goffset(height), XtRImmediate, (XtPointer) 100},
!     {XtNpupil, (char *) XtCForeground, XtRPixel, sizeof(Pixel),
          offset(pixel[PART_PUPIL]), XtRString, (char *) XtDefaultForeground},
      {(char *) XtNbackgroundPixmap, (char *) XtCPixmap, XtRPixmap, sizeof(Pixmap),
       XtOffsetOf(CoreRec,core.background_pixmap),
       XtRImmediate, (XtPointer)None},
!     {XtNoutline, (char *) XtCForeground, XtRPixel, sizeof(Pixel),
          offset(pixel[PART_OUTLINE]), XtRString, (char *) XtDefaultForeground},
!     {XtNcenterColor, (char *) XtCBackground, XtRPixel, sizeof (Pixel),
  	offset(pixel[PART_CENTER]), XtRString, (char *) XtDefaultBackground},
      {(char *) XtNreverseVideo, (char *) XtCReverseVideo, XtRBoolean, sizeof (Boolean),
  	offset (reverse_video), XtRImmediate, (XtPointer) FALSE},
***************
*** 76,91 ****
      {(char *) XtNshapeWindow, (char *) XtCShapeWindow, XtRBoolean, sizeof (Boolean),
  	offset (shape_window), XtRImmediate, (XtPointer) TRUE},
  #ifdef XRENDER
!     {(char *) XtNrender, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(render), XtRImmediate, (XtPointer) TRUE },
  #endif
  #ifdef PRESENT
!     {(char *) XtNpresent, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
       offset(present), XtRImmediate, (XtPointer) TRUE },
  #endif
!     {(char *) XtNdistance, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(distance), XtRImmediate, (XtPointer) FALSE },
!     {(char *) XtNbiblicallyAccurate, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(biblically_accurate), XtRImmediate, (XtPointer) FALSE },
  };
  
--- 78,93 ----
      {(char *) XtNshapeWindow, (char *) XtCShapeWindow, XtRBoolean, sizeof (Boolean),
  	offset (shape_window), XtRImmediate, (XtPointer) TRUE},
  #ifdef XRENDER
!     {XtNrender, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(render), XtRImmediate, (XtPointer) TRUE },
  #endif
  #ifdef PRESENT
!     {XtNpresent, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
       offset(present), XtRImmediate, (XtPointer) TRUE },
  #endif
!     {XtNdistance, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(distance), XtRImmediate, (XtPointer) FALSE },
!     {XtNbiblicallyAccurate, (char *) XtCBoolean, XtRBoolean, sizeof(Boolean),
  	offset(biblically_accurate), XtRImmediate, (XtPointer) FALSE },
  };
  
***************
*** 110,115 ****
--- 112,120 ----
  static EyeLayout layout_standard[] = {
  	{ .x = 0.0, .y = 0.0, },
  	{ .x = 2.0, .y = 0.0, },
+ #if 0
+ 	{ .x = 1.0, .y = 1.5, },
+ #endif
  };
  
  static EyeLayout layout_biblical[] = {
***************
*** 129,135 ****
  
  static EyeConfiguration *EyesConfigure(Boolean biblically_accurate)
  {
! 	EyeConfiguration *c = calloc(sizeof(EyeConfiguration), 1);
  	assert(c != NULL);
  
  	if (biblically_accurate) {
--- 134,140 ----
  
  static EyeConfiguration *EyesConfigure(Boolean biblically_accurate)
  {
! 	EyeConfiguration *c = (EyeConfiguration *) calloc(sizeof(EyeConfiguration), 1);
  	assert(c != NULL);
  
  	if (biblically_accurate) {
***************
*** 172,178 ****
  
  static void ClassInitialize(void)
  {
!     XtAddConverter( XtRString, XtRBackingStore, XmuCvtStringToBackingStore,
  		    NULL, 0 );
  }
  
--- 177,184 ----
  
  static void ClassInitialize(void)
  {
!     XtAddConverter( XtRString, XtRBackingStore,
!     		    (XtConverter) XmuCvtStringToBackingStore,
  		    NULL, 0 );
  }
  
***************
*** 295,300 ****
--- 301,307 ----
  
  static void draw_it_core(EyesWidget w);
  
+ #ifdef XI2
  static void EyesGeneric(Widget w, XtPointer closure, XEvent *event, Boolean *continue_to_dispatch)
  {
          draw_it_core((EyesWidget) w);
***************
*** 388,393 ****
--- 395,401 ----
      }
      return 1;
  }
+ #endif
  
  
  /* ARGSUSED */
***************
*** 401,412 ****
      XtGCMask	valuemask;
      XGCValues	myXGCV;
      int shape_event_base, shape_error_base;
- #ifdef XRENDER
-     enum EyesPart i;
- #endif
  
      EyeConfiguration *config = EyesConfigure(w->eyes.biblically_accurate);
!     TPoint *pupils = calloc(sizeof(TPoint), config->count);
      assert(pupils != NULL);
      for (int j = 0; j < config->count; j++) {
          pupils[j].x = TPOINT_NONE;
--- 409,417 ----
      XtGCMask	valuemask;
      XGCValues	myXGCV;
      int shape_event_base, shape_error_base;
  
      EyeConfiguration *config = EyesConfigure(w->eyes.biblically_accurate);
!     TPoint *pupils = (TPoint *) calloc(sizeof(TPoint), config->count);
      assert(pupils != NULL);
      for (int j = 0; j < config->count; j++) {
          pupils[j].x = TPOINT_NONE;
***************
*** 467,476 ****
      w->eyes.shape_mask = 0;
      w->eyes.gc[PART_SHAPE] = NULL;
  
      w->eyes.has_xi2 = has_xi2(XtDisplay(w));
  
  #ifdef XRENDER
!     for (i = 0; i < PART_SHAPE; i ++) {
  	XColor c;
  	XRenderColor rc;
  
--- 472,483 ----
      w->eyes.shape_mask = 0;
      w->eyes.gc[PART_SHAPE] = NULL;
  
+ #ifdef XI2
      w->eyes.has_xi2 = has_xi2(XtDisplay(w));
+ #endif
  
  #ifdef XRENDER
!     for (int i = 0; i < PART_SHAPE; i++) {
  	XColor c;
  	XRenderColor rc;
  
***************
*** 515,521 ****
      if (w->eyes.render && part != PART_SHAPE && (!w->eyes.shape_window ||
  						 part != PART_OUTLINE) &&
  	w->eyes.picture) {
! 	int n, i;
  	double hd, c, s, sx, sy, x, y, px, py;
  	XPointDouble *p;
  
--- 522,528 ----
      if (w->eyes.render && part != PART_SHAPE && (!w->eyes.shape_window ||
  						 part != PART_OUTLINE) &&
  	w->eyes.picture) {
! 	int n;
  	double hd, c, s, sx, sy, x, y, px, py;
  	XPointDouble *p;
  
***************
*** 533,544 ****
  	sy = (pos.height*s)/pos.width;
  
  	n *= 2;
! 	p = Xmalloc(sizeof(*p)*n);
  	if (!p)
  	    return;
  	x = 0;
  	y = pos.height/2.0;
! 	for (i = 0; i < n; i ++)
  	{
  	    p[i].x = x + pos.x;
  	    p[i].y = y + pos.y;
--- 540,551 ----
  	sy = (pos.height*s)/pos.width;
  
  	n *= 2;
! 	p = (XPointDouble *) Xmalloc(sizeof(*p)*n);
  	if (!p)
  	    return;
  	x = 0;
  	y = pos.height/2.0;
! 	for (int i = 0; i < n; i++)
  	{
  	    p[i].x = x + pos.x;
  	    p[i].y = y + pos.y;
***************
*** 740,746 ****
  static void
  drawEyes(EyesWidget w, TPoint mouse)
  {
-     int			num;
      TPoint newpupils[w->eyes.configuration->count];
  
  #ifdef PRESENT
--- 747,752 ----
***************
*** 752,758 ****
  	return;
      }
      computePupils (w, mouse, newpupils);
!     for (num = 0; num < w->eyes.configuration->count; num++) {
          drawEye(w, newpupils[num], num);
      }
  
--- 758,764 ----
  	return;
      }
      computePupils (w, mouse, newpupils);
!     for (int num = 0; num < w->eyes.configuration->count; num++) {
          drawEye(w, newpupils[num], num);
      }
  
***************
*** 794,800 ****
          if (!w->eyes.has_xi2) {
                  w->eyes.interval_id =
                          XtAppAddTimeOut(XtWidgetToApplicationContext((Widget) w),
!                                         delays[w->eyes.update], draw_it, (XtPointer)w);
          }
  } /* draw_it */
  
--- 800,807 ----
          if (!w->eyes.has_xi2) {
                  w->eyes.interval_id =
                          XtAppAddTimeOut(XtWidgetToApplicationContext((Widget) w),
!                                         delays[w->eyes.update],
!                                         (XtTimerCallbackProc) draw_it, (XtPointer)w);
          }
  } /* draw_it */
  
***************
*** 886,909 ****
  		     *valueMask, attrs );
      Resize (gw);
  
      if (w->eyes.has_xi2)
              xi2_add_root_listener(gw);
      else
              w->eyes.interval_id =
                      XtAppAddTimeOut(XtWidgetToApplicationContext(gw),
!                                     delays[w->eyes.update], draw_it, (XtPointer)gw);
  }
  
  static void Destroy (Widget gw)
  {
       EyesWidget w = (EyesWidget)gw;
-      int i;
  
       if (w->eyes.interval_id)
  	XtRemoveTimeOut (w->eyes.interval_id);
!      for (i = 0; i < PART_MAX; i ++)
  	     XtReleaseGC(gw, w->eyes.gc[i]);
       xi2_remove_root_listener(gw);
  #ifdef XRENDER
       if (w->eyes.picture)
  	     XRenderFreePicture (XtDisplay(w), w->eyes.picture);
--- 893,920 ----
  		     *valueMask, attrs );
      Resize (gw);
  
+ #ifdef XI2
      if (w->eyes.has_xi2)
              xi2_add_root_listener(gw);
      else
+ #endif
              w->eyes.interval_id =
                      XtAppAddTimeOut(XtWidgetToApplicationContext(gw),
!                                     delays[w->eyes.update],
!                                     (XtTimerCallbackProc) draw_it, (XtPointer)gw);
  }
  
  static void Destroy (Widget gw)
  {
       EyesWidget w = (EyesWidget)gw;
  
       if (w->eyes.interval_id)
  	XtRemoveTimeOut (w->eyes.interval_id);
!      for (int i = 0; i < PART_MAX; i++)
  	     XtReleaseGC(gw, w->eyes.gc[i]);
+ #ifdef XI2
       xi2_remove_root_listener(gw);
+ #endif
  #ifdef XRENDER
       if (w->eyes.picture)
  	     XRenderFreePicture (XtDisplay(w), w->eyes.picture);
***************
*** 930,936 ****
  static Boolean SetValues (
      Widget current,
      Widget request,
!     Widget new,
      ArgList args,
      Cardinal *num_args)
  {
--- 941,947 ----
  static Boolean SetValues (
      Widget current,
      Widget request,
!     Widget renew,
      ArgList args,
      Cardinal *num_args)
  {
***************
*** 945,953 ****
      /* class_initialize		*/	ClassInitialize,
      /* class_part_initialize	*/	NULL,
      /* class_inited		*/	FALSE,
!     /* initialize		*/	Initialize,
      /* initialize_hook		*/	NULL,
!     /* realize			*/	Realize,
      /* actions			*/	NULL,
      /* num_actions		*/	0,
      /* resources		*/	resources,
--- 956,964 ----
      /* class_initialize		*/	ClassInitialize,
      /* class_part_initialize	*/	NULL,
      /* class_inited		*/	FALSE,
!     /* initialize		*/	(XtInitProc) Initialize,
      /* initialize_hook		*/	NULL,
!     /* realize			*/	(XtRealizeProc) Realize,
      /* actions			*/	NULL,
      /* num_actions		*/	0,
      /* resources		*/	resources,
***************
*** 957,966 ****
      /* compress_exposure	*/	TRUE,
      /* compress_enterleave	*/	TRUE,
      /* visible_interest		*/	FALSE,
!     /* destroy			*/	Destroy,
!     /* resize			*/	Resize,
!     /* expose			*/	Redisplay,
!     /* set_values		*/	SetValues,
      /* set_values_hook		*/	NULL,
      /* set_values_almost	*/	NULL,
      /* get_values_hook		*/	NULL,
--- 968,977 ----
      /* compress_exposure	*/	TRUE,
      /* compress_enterleave	*/	TRUE,
      /* visible_interest		*/	FALSE,
!     /* destroy			*/	(XtWidgetProc) Destroy,
!     /* resize			*/	(XtWidgetProc) Resize,
!     /* expose			*/	(XtExposeProc) Redisplay,
!     /* set_values		*/	(XtSetValuesFunc) SetValues,
      /* set_values_hook		*/	NULL,
      /* set_values_almost	*/	NULL,
      /* get_values_hook		*/	NULL,
diff -rc --new-file xeyes-1.3.0/Eyes.h xeyes-1.3.0.4/Eyes.h
*** xeyes-1.3.0/Eyes.h	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/Eyes.h	2025-03-08 19:49:55.011706187 -0500
***************
*** 16,21 ****
--- 16,22 ----
   border		     BorderColor	pixel		Black
   borderWidth	     BorderWidth	int		1
   foreground	     Foreground		Pixel		Black
+  pupil		     Pupil		Pixel		Black
   outline	     Outline		Pixel		Black
   height		     Height		int		120
   mappedWhenManaged   MappedWhenManaged	Boolean		True
***************
*** 26,42 ****
  
  */
  
! #define XtNoutline	"outline"
! #define XtNcenterColor	"center"
  
! #define XtNshapeWindow	"shapeWindow"
! #define XtCShapeWindow	"ShapeWindow"
! 
! #define XtNrender	"render"
! #define XtNdistance	"distance"
! #define XtNbiblicallyAccurate	"biblicallyAccurate"
! 
! #define XtNpresent      "present"
  
  enum EyesPart {
  	PART_CLEAR = -1,
--- 27,44 ----
  
  */
  
! #define XtNpupil	(char *) "pupil"
! #define XtNoutline	(char *) "outline"
! #define XtNcenterColor	(char *) "center"
! 
! #define XtNshapeWindow	(char *) "shapeWindow"
! #define XtCShapeWindow	(char *) "ShapeWindow"
! 
! #define XtNrender	(char *) "render"
! #define XtNdistance	(char *) "distance"
! #define XtNbiblicallyAccurate	(char *) "biblicallyAccurate"
  
! #define XtNpresent      (char *) "present"
  
  enum EyesPart {
  	PART_CLEAR = -1,
diff -rc --new-file xeyes-1.3.0/Makefile.am xeyes-1.3.0.4/Makefile.am
*** xeyes-1.3.0/Makefile.am	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/Makefile.am	2025-03-07 15:37:01.906337752 -0500
***************
*** 22,29 ****
  SUBDIRS = man
  bin_PROGRAMS = xeyes
  
! AM_CFLAGS = $(XEYES_CFLAGS) $(XRENDER_CFLAGS) $(PRESENT_CFLAGS)  $(CWARNFLAGS)
! xeyes_LDADD = $(XEYES_LIBS) $(XRENDER_LIBS) $(PRESENT_LIBS) -lm
  
  xeyes_SOURCES =	\
          Eyes.c \
--- 22,29 ----
  SUBDIRS = man
  bin_PROGRAMS = xeyes
  
! AM_CFLAGS = $(XEYES_CFLAGS) $(XI2_CFLAGS) $(XRENDER_CFLAGS) $(PRESENT_CFLAGS)  $(CWARNFLAGS)
! xeyes_LDADD = $(XEYES_LIBS) $(XI2_LIBS) $(XRENDER_LIBS) $(PRESENT_LIBS) -lm
  
  xeyes_SOURCES =	\
          Eyes.c \
diff -rc --new-file xeyes-1.3.0/man/xeyes.man xeyes-1.3.0.4/man/xeyes.man
*** xeyes-1.3.0/man/xeyes.man	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/man/xeyes.man	2025-03-08 20:31:59.687527721 -0500
***************
*** 10,20 ****
  .SH OPTIONS
  .TP 8
  .B \-fg \fIforeground color\fB
! choose a different color for the pupil of the eyes.
  .TP 8
  .B \-bg \fIbackground color\fB
  choose a different color for the background.
  .TP 8
  .B \-outline \fIoutline color\fB
  choose a different color for the outline of the eyes.
  .TP 8
--- 10,23 ----
  .SH OPTIONS
  .TP 8
  .B \-fg \fIforeground color\fB
! choose a different color for the foreground.
  .TP 8
  .B \-bg \fIbackground color\fB
  choose a different color for the background.
  .TP 8
+ .B \-pupil \fIforeground color\fB
+ choose a different color for the pupil of the eyes.
+ .TP 8
  .B \-outline \fIoutline color\fB
  choose a different color for the outline of the eyes.
  .TP 8
diff -rc --new-file xeyes-1.3.0/xeyes.c xeyes-1.3.0.4/xeyes.c
*** xeyes-1.3.0/xeyes.c	2023-07-13 19:17:42.000000000 -0400
--- xeyes-1.3.0.4/xeyes.c	2025-03-08 20:34:03.800310216 -0500
***************
*** 50,57 ****
  	    "usage: xeyes [-display [{host}]:{vs}]\n"
  	    "             [-geometry [{width}][x{height}][{+-}{xoff}[{+-}{yoff}]]]\n"
  	    "             [-fg {color}] [-bg {color}] [-bd {color}] [-bw {pixels}]\n"
! 	    "             [-shape | +shape] [-outline {color}] [-center {color}]\n"
! 	    "             [-backing {backing-store}] [-distance]\n"
  	    "             [-biblicallyAccurate]\n"
  #ifdef XRENDER
  	    "             [-render | +render]\n"
--- 50,57 ----
  	    "usage: xeyes [-display [{host}]:{vs}]\n"
  	    "             [-geometry [{width}][x{height}][{+-}{xoff}[{+-}{yoff}]]]\n"
  	    "             [-fg {color}] [-bg {color}] [-bd {color}] [-bw {pixels}]\n"
! 	    "             [-shape | +shape] [-pupil {color}] [-outline {color}]\n"
! 	    "             [-center {color}] [-backing {backing-store}] [-distance]\n"
  	    "             [-biblicallyAccurate]\n"
  #ifdef XRENDER
  	    "             [-render | +render]\n"
***************
*** 68,73 ****
--- 68,74 ----
     pass over the remaining options after XtParseCommand is let loose. */
  
  static XrmOptionDescRec options[] = {
+ {(char *)"-pupil",	(char *)"*eyes.pupil",		XrmoptionSepArg,	NULL},
  {(char *)"-outline",	(char *)"*eyes.outline",	XrmoptionSepArg,	NULL},
  {(char *)"-center",	(char *)"*eyes.center",		XrmoptionSepArg,	NULL},
  {(char *)"-backing",	(char *)"*eyes.backingStore",	XrmoptionSepArg,	NULL},
***************
*** 101,107 ****
  }
  
  static XtActionsRec actions[] = {
!     {(char *) "quit",	quit}
  };
  
  int
--- 102,108 ----
  }
  
  static XtActionsRec actions[] = {
!     {(char *) "quit",	(XtActionProc) quit}
  };
  
  int
